<template>
    <NavBar />
    <div v-if="flashSuccess" class="w-10/12 mx-auto my-2.5 bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded relative">
        {{ flashSuccess }}
    </div>
    <slot>Default</slot>
</template>
<script setup>
import { computed } from 'vue'
import NavBar from '@/Components/Navbar.vue';
import {usePage} from '@inertiajs/vue3';

    // page.props.value.flash.success
    const flashSuccess = computed(
  () => usePage().props.flash.success,
)
</script>
